<copyright> gtomk Window class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Window.t,v 1.3 1998/04/04 00:29:34 tiggr Exp $</id>
    </copyright>

<gtk_version>0.99.9</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkWindow: GtkBin

instance (id)
  new int window_type
{
  pointer p;
<c>
  p = gtk_window_new (window_type);
</c>

  = [[self alloc] init p];
}

end;

implementation instance
GtkWindow

<doc> Return the {gtkWindow} for which this object stands.  </doc>
pointer
  gtkWindow
{
  = object;
}

void
  set_title String title
{
  pointer obj = object;
  int len;

<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, title);
    gtk_window_set_title (obj, s);
  }
</c>
}

void
  set_wmclass (String, String) (class_name, class_class)
{
  pointer obj = object;
  int len;

<c>
  {
    char *cn, *cc;
    C_STRING_WITH_TOM_STRING (cn, len, class_name);
    C_STRING_WITH_TOM_STRING (cc, len, class_class);
    gtk_window_set_wmclass (obj, cn, cc);
  }
</c>
}

void
  set_focus GtkWidget widget
{
  pointer obj = object;
  pointer wo = [widget gtkWidget];

<c>
  gtk_window_set_focus (obj, wo);
</c>
}

void
  set_default GtkWidget widget
{
  pointer obj = object;
  pointer wo = [widget gtkWidget];

<c>
  gtk_window_set_default (obj, wo);
</c>
}

void
  set_policy (boolean, boolean, boolean) (allow_shrink, allow_grow, auto_shrink)
{
  pointer obj = object;

<c>
  gtk_window_set_policy (obj, allow_shrink, allow_grow, auto_shrink);
</c>
}

// A GtkAcceleratorTable is not a GtkObject?!?!?!?!!
// Tue Mar 31 20:16:37 1998, tiggr@gerbil.org
void
  add_accelerator_table pointer table
{
  pointer obj = object;

<c>
  gtk_window_add_accelerator_table (obj, table);
</c>
}

void
  remove_accelerator_table pointer table
{
  pointer obj = object;

<c>
  gtk_window_remove_accelerator_table (obj, table);
</c>
}

void
  position int WIN_POS_something
{
  pointer obj = object;

<c>
  gtk_window_position (obj, WIN_POS_something);
</c>
}

void
  activate_focus
{
  pointer obj = object;

<c>
  gtk_window_activate_focus (obj);
</c>
}

void
  activate_default
{
  pointer obj = object;

<c>
  gtk_window_activate_default (obj);
</c>
}

end;
