/* Generate GTK constants for use in gtomk.
   Written by Pieter Schoenmakers <tiggr@gerbil.org>

   Copyright &copy; 1998 Pieter J. Schoenmakers.

   This file is part of GTOMK.  GTOMK is distributed under the terms of
   the GNU Library General Public License, a copy of which can be found
   in the GTOMK distribution; see the file COPYING.LIB.

   $Id: gen-con.c,v 1.3 1998/04/09 09:43:08 tiggr Exp $  */

#include <gtk/gtk.h>

#define DI(MACRO)  \
  printf ("  const " #MACRO " = %d;\n", MACRO)

int
main (int argc, char **argv)
{
  printf ("implementation class Constants: gdomk.Constants\n{\n");

  /* These are all values from gtk+-0.99.9/gtk/gtkenums.h.  */

  DI (GTK_STATE_NORMAL);
  DI (GTK_STATE_ACTIVE);
  DI (GTK_STATE_PRELIGHT);
  DI (GTK_STATE_SELECTED);
  DI (GTK_STATE_INSENSITIVE);

  DI (GTK_WINDOW_TOPLEVEL);
  DI (GTK_WINDOW_DIALOG);
  DI (GTK_WINDOW_POPUP);
  DI (GTK_DIR_TAB_FORWARD);
  DI (GTK_DIR_TAB_BACKWARD);
  DI (GTK_DIR_UP);
  DI (GTK_DIR_DOWN);
  DI (GTK_DIR_LEFT);
  DI (GTK_DIR_RIGHT);

  DI (GTK_SHADOW_NONE);
  DI (GTK_SHADOW_IN);
  DI (GTK_SHADOW_OUT);
  DI (GTK_SHADOW_ETCHED_IN);
  DI (GTK_SHADOW_ETCHED_OUT);

  DI (GTK_ARROW_UP);
  DI (GTK_ARROW_DOWN);
  DI (GTK_ARROW_LEFT);
  DI (GTK_ARROW_RIGHT);

  DI (GTK_PACK_START);
  DI (GTK_PACK_END);

  DI (GTK_POLICY_ALWAYS);
  DI (GTK_POLICY_AUTOMATIC);

  DI (GTK_UPDATE_CONTINUOUS);
  DI (GTK_UPDATE_DISCONTINUOUS);
  DI (GTK_UPDATE_DELAYED);

  DI (GTK_EXPAND);
  DI (GTK_SHRINK);
  DI (GTK_FILL);

  DI (GTK_RUN_FIRST);
  DI (GTK_RUN_LAST);
  DI (GTK_RUN_BOTH);
  DI (GTK_RUN_MASK);
  DI (GTK_RUN_NO_RECURSE);

  DI (GTK_WIN_POS_NONE);
  DI (GTK_WIN_POS_CENTER);
  DI (GTK_WIN_POS_MOUSE);

  DI (GTK_DIRECTION_LEFT);
  DI (GTK_DIRECTION_RIGHT);

  DI (GTK_TOP_BOTTOM);
  DI (GTK_LEFT_RIGHT);

  DI (GTK_MENU_FACTORY_MENU);
  DI (GTK_MENU_FACTORY_MENU_BAR);
  DI (GTK_MENU_FACTORY_OPTION_MENU);

  DI (GTK_PIXELS);
  DI (GTK_INCHES);
  DI (GTK_CENTIMETERS);

  DI (GTK_SCROLL_NONE);
  DI (GTK_SCROLL_STEP_BACKWARD);
  DI (GTK_SCROLL_STEP_FORWARD);
  DI (GTK_SCROLL_PAGE_BACKWARD);
  DI (GTK_SCROLL_PAGE_FORWARD);
  DI (GTK_SCROLL_JUMP);

  DI (GTK_TROUGH_NONE);
  DI (GTK_TROUGH_START);
  DI (GTK_TROUGH_END);
  DI (GTK_TROUGH_JUMP);

  DI (GTK_POS_LEFT);
  DI (GTK_POS_RIGHT);
  DI (GTK_POS_TOP);
  DI (GTK_POS_BOTTOM);

  DI (GTK_PREVIEW_COLOR);
  DI (GTK_PREVIEW_GRAYSCALE);

  DI (GTK_JUSTIFY_LEFT);
  DI (GTK_JUSTIFY_RIGHT);
  DI (GTK_JUSTIFY_CENTER);
  DI (GTK_JUSTIFY_FILL);

  DI (GTK_SELECTION_SINGLE);
  DI (GTK_SELECTION_BROWSE);
  DI (GTK_SELECTION_MULTIPLE);
  DI (GTK_SELECTION_EXTENDED);

  DI (GTK_ORIENTATION_HORIZONTAL);
  DI (GTK_ORIENTATION_VERTICAL);

  DI (GTK_TOOLBAR_ICONS);
  DI (GTK_TOOLBAR_TEXT);
  DI (GTK_TOOLBAR_BOTH);

  DI (GTK_VISIBILITY_NONE);
  DI (GTK_VISIBILITY_PARTIAL);
  DI (GTK_VISIBILITY_FULL);

  /* gtkspinbutton.h */
  DI (GTK_UPDATE_ALWAYS);
  DI (GTK_UPDATE_IF_VALID);
  DI (GTK_UPDATE_SNAP_TO_TICKS);

  printf ("}\nend;\nimplementation instance Constants end;\n");

  return 0;
}
